# -*- coding: utf-8 -*-

import importlib
import importlib.util
import os
import setuptools

"""This file is used to package the StockSummaryReport plugin.

- It was generated by the InvenTree Plugin Creator tool - version 1.3.0
- Ref: https://github.com/inventree/plugin_creator
"""

"""Read the plugin version from the source code."""
module_path = os.path.join(os.path.dirname(__file__), "stock_summary_report", "__init__.py")
spec = importlib.util.spec_from_file_location("stock_summary_report", module_path)
stock_summary_report = importlib.util.module_from_spec(spec)
spec.loader.exec_module(stock_summary_report)

with open('README.md', encoding='utf-8') as f:
    long_description = f.read()

setuptools.setup(
    name="stock_summary_report",
    version=stock_summary_report.PLUGIN_VERSION,
    author="Tristan Le",
    author_email="tristan.tuanle@gmail.com",
    description="Print stock flow between a date range",
    long_description=long_description,
    long_description_content_type='text/markdown',
    url="https://my-project-url.com",
    license="MIT",
    packages=setuptools.find_packages(),
    keywords="inventree plugin",
    include_package_data=True,
    install_requires=[
        # Enter your plugin library dependencies here
    ],
    setup_requires=[
        "wheel",
        "twine",
    ],
    python_requires=">=3.9",
    entry_points={
        "inventree_plugins": [
            "StockSummaryReport = stock_summary_report.core:StockSummaryReport"
        ]
    },
)
